{{- if .Values.podDisruptionBudget -}}
apiVersion: {{ ternary "policy/v1" "policy/v1beta1" (semverCompare ">=1.21.0-0" .Capabilities.KubeVersion.Version) }}
kind: PodDisruptionBudget
metadata:
  name: {{ include "ps-security.fullname" . }}
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "ps-security.labels" . | nindent 4 }}
spec:
  selector:
    matchLabels:
      {{- include "ps-security.selectorLabels" . | nindent 6 }}
  {{- toYaml .Values.podDisruptionBudget | nindent 2 }}
{{- end -}}
